Summary:	X.org video driver for video4linux cards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart video4linux
Name:		xorg-driver-video-v4l
Version:	0.2.0
Release:	18
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-v4l-%{version}.tar.bz2
# Source0-md5:	2251ae2a0a905764941cd7b098e85ad1
Patch0:		support_v4l2_only_drivers.patch
Patch1:		am.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for video4linux cards. It provides a Xvideo
extension port for video overlay. This driver works with every piece
of hardware which is supported by a video4linux (kernel-) device
driver and is able to handle video overlay. bt848/bt878-based TV cards
are the most popular hardware these days.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart video4linux. Udostępnia port
rozszerzenia Xvideo dla nakładki obrazu. Działa z każdym kawałkiem
sprzętu obsługiwanym przez sterownik jądra video4linux, potrafiącym
obsłużyć nakładkę obrazu. Najpopularniejsze z nich to karty
telewizyjne bt848/bt878.

%prep
%setup -q -n xf86-video-v4l-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/v4l_drv.so
%{_mandir}/man4/v4l.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-v4l.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fa7a19
- xserver rebuild
- release 18 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fa96c68
- xserver rebuild
- release 17 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> e240f0e
- release 16 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 99af6b9
- port driver to v4l2, patch from Fedora, without it this driver was useless
- rel 15

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> db5a8c0
- fix building with latest automake

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cd962fb
- release 14 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 199ac94
- release 13 (by relup.sh)

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 860f141
- release 12

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e08b834
- release 11

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 174f1e6
- xorg-driver-video virtual for video drivers
- release 10

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ab1a9f
- release 9

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 88ed3cc
- rel up

* Mon Aug 30 2010 Jakub Bogusz <qboosh@pld-linux.org> b6ff2d1
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ca31142
- release 7

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d8a79d
- release 6

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bdea5e
- release 5

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 75975f7
- release 4

* Sat Aug 30 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e4013f8
- release 3

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e8ddbc9
- release 2

* Wed Mar 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 910ad3c
- up to 0.2.0

